# MySQL dump 8.12
#
# Host: localhost    Database: oer_quakenet
#--------------------------------------------------------
# Server version	3.23.32

#
# Table structure for table 'admins'
#

CREATE TABLE admins (
  handle varchar(32) NOT NULL default '',
  flags varchar(32) default '',
  ident varchar(64) NOT NULL default '',
  KEY key1(handle,ident)
) TYPE=MyISAM PACK_KEYS=1;

#
# Table structure for table 'adverts'
#

CREATE TABLE adverts (
  channel varchar(64) NOT NULL default '',
  type varchar(32) NOT NULL default '',
  message text NOT NULL,
  ident varchar(64) NOT NULL default ''
) TYPE=MyISAM PACK_KEYS=1;

#
# Table structure for table 'bantype'
#

CREATE TABLE bantype (
  channel varchar(64) NOT NULL default '',
  type tinyint unsigned NOT NULL default '1',
  ident varchar(64) NOT NULL default '',
  KEY key1(channel,ident)
) TYPE=MyISAM PACK_KEYS=1;

#
# Table structure for table 'banvars'
#

CREATE TABLE banvars (
  channel varchar(64) NOT NULL default '',
  b_auto_rejoin smallint unsigned NOT NULL default '30',
  b_part_rejoin smallint unsigned NOT NULL default '600',
  b_flood smallint unsigned NOT NULL default '300',
  b_flood_repeat smallint unsigned NOT NULL default '600',
  b_bad_word smallint unsigned NOT NULL default '3600',
  b_bad_nick smallint unsigned NOT NULL default '3600',
  b_normal_ban smallint unsigned NOT NULL default '3600',
  ident varchar(64) NOT NULL default '',
  KEY key1(channel,ident)
) TYPE=MyISAM PACK_KEYS=1;

#
# Table structure for table 'channels'
#

CREATE TABLE channels (
  name varchar(64) NOT NULL default '',
  chanmodes varchar(12) default '',
  chankey varchar(32) default '',
  chanflags varchar(32) default '',
  ident varchar(64) NOT NULL default '',
  KEY key1(name,ident)
) TYPE=MyISAM PACK_KEYS=1;

#
# Table structure for table 'conf'
#

CREATE TABLE conf (
  nick varchar(32) NOT NULL default '',
  altnick varchar(32) NOT NULL default '',
  user varchar(32) default '',
  usermode varchar(8) default '',
  flags varchar(8) default '',
  prefix char(2) NOT NULL default '',
  realname varchar(64) NOT NULL default '',
  vhost varchar(64) default '',
  ident varchar(32) NOT NULL default '',
  KEY chanid(ident),
  KEY key1(ident)
) TYPE=MyISAM PACK_KEYS=1;

#
# Table structure for table 'floodvars'
#

CREATE TABLE floodvars (
  channel varchar(64) NOT NULL default '',
  f_expire smallint unsigned NOT NULL default '1800',
  f_limit smallint unsigned NOT NULL default '3',
  f_interval smallint unsigned NOT NULL default '60',
  f_lines smallint unsigned NOT NULL default '10',
  f_chars smallint unsigned NOT NULL default '1600',
  ident varchar(64) NOT NULL default '',
  KEY key1(channel,ident)
) TYPE=MyISAM PACK_KEYS=1;

#
# Table structure for table 'hostmasks'
#

CREATE TABLE hostmasks (
  hostmask varchar(64) NOT NULL default '',
  channel varchar(64) NOT NULL default '',
  type tinyint unsigned NOT NULL default '0',
  handle varchar(32) NOT NULL default '',
  ident varchar(64) NOT NULL default '',
  KEY key1(hostmask,channel,type,handle,ident)
) TYPE=MyISAM PACK_KEYS=1;

#
# Table structure for table 'kickreasons'
#

CREATE TABLE kickreasons (
  reason varchar(255) NOT NULL default '',
  ident varchar(64) NOT NULL default ''
) TYPE=MyISAM PACK_KEYS=1;

#
# Table structure for table 'nickbks'
#

CREATE TABLE nickbks (
  channel varchar(64) NOT NULL default '',
  pattern varchar(32) NOT NULL default '',
  reason varchar(64) default '',
  setby varchar(32) default '',
  twhen int unsigned NOT NULL default '0',
  ident varchar(64) NOT NULL default '',
  KEY key1(channel,pattern,ident)
) TYPE=MyISAM PACK_KEYS=1;

#
# Table structure for table 'output'
#

CREATE TABLE output (
  twhen int unsigned NOT NULL default '0',
  ident varchar(64) NOT NULL default '',
  message text NOT NULL
) TYPE=MyISAM PACK_KEYS=1;

#
# Table structure for table 'passwords'
#

CREATE TABLE passwords (
  handle varchar(32) NOT NULL default '',
  channel varchar(64) NOT NULL default '',
  type tinyint unsigned NOT NULL default '0',
  password varchar(32) NOT NULL default '',
  ident varchar(64) NOT NULL default '',
  KEY key1(handle,channel,type,ident)
) TYPE=MyISAM PACK_KEYS=1;

#
# Table structure for table 'permbans'
#

CREATE TABLE permbans (
  channel varchar(64) NOT NULL default '',
  mask varchar(64) NOT NULL default '',
  reason varchar(64) default '',
  setby varchar(32) default '',
  twhen int unsigned NOT NULL default '0',
  ident varchar(64) NOT NULL default '',
  KEY key1(channel,mask,ident)
) TYPE=MyISAM PACK_KEYS=1;

#
# Table structure for table 'raw'
#

CREATE TABLE raw (
  twhen int unsigned NOT NULL default '0',
  ident varchar(64) NOT NULL default '',
  message text NOT NULL
) TYPE=MyISAM PACK_KEYS=1;

#
# Table structure for table 'servers'
#

CREATE TABLE servers (
  hostname varchar(64) NOT NULL default '',
  port smallint unsigned NOT NULL default '6667',
  servermodes tinyint unsigned NOT NULL default '4',
  pingfreq tinyint unsigned NOT NULL default '90',
  protopers tinyint unsigned NOT NULL default '0',
  linenoise tinyint unsigned NOT NULL default '0',
  password varchar(32) default '',
  ident varchar(32) NOT NULL default '',
  KEY key1(hostname,port,servermodes,pingfreq,protopers,linenoise,ident)
) TYPE=MyISAM PACK_KEYS=1;

#
# Table structure for table 'services'
#

CREATE TABLE services (
  host varchar(64) NOT NULL default '',
  ident varchar(64) NOT NULL default '',
  KEY key1(host,ident)
) TYPE=MyISAM PACK_KEYS=1;

#
# Table structure for table 'timestamps'
#

CREATE TABLE timestamps (
  ttype varchar(32) NOT NULL default '',
  twhen int unsigned NOT NULL default '0',
  tchannel varchar(64) NOT NULL default '',
  ident varchar(64) NOT NULL default '',
  KEY key1(ttype,tchannel,ident)
) TYPE=MyISAM PACK_KEYS=1;

#
# Table structure for table 'topics'
#

CREATE TABLE topics (
  channel varchar(64) NOT NULL default '',
  pos tinyint unsigned NOT NULL default '0',
  twhen int unsigned NOT NULL default '0',
  setby varchar(32) NOT NULL default '',
  message varchar(255) NOT NULL default '',
  ident varchar(64) NOT NULL default '',
  KEY key1(channel,pos,ident)
) TYPE=MyISAM PACK_KEYS=1;

#
# Table structure for table 'trusted'
#

CREATE TABLE trusted (
  host varchar(64) NOT NULL default '',
  ident varchar(64) NOT NULL default '',
  KEY key1(host,ident)
) TYPE=MyISAM PACK_KEYS=1;

#
# Table structure for table 'users'
#

CREATE TABLE users (
  handle varchar(32) NOT NULL default '',
  channel varchar(64) NOT NULL default '',
  flags varchar(32) default '',
  ident varchar(64) NOT NULL default '',
  KEY key1(handle,channel,ident)
) TYPE=MyISAM PACK_KEYS=1;

#
# Table structure for table 'wordbks'
#

CREATE TABLE wordbks (
  channel varchar(64) NOT NULL default '',
  pattern varchar(32) NOT NULL default '',
  reason varchar(64) default '',
  setby varchar(32) default '',
  twhen int unsigned NOT NULL default '0',
  ident varchar(64) NOT NULL default '',
  KEY key1(channel,pattern,ident)
) TYPE=MyISAM PACK_KEYS=1;
